-- MasterSkillCalc Control Script, Lua v5.2
-- Skill Tree Skill Configuration (Result, Time) - Can be modified to adjust for own needs

-- SkillID refers to Index of skill in \Data\Skills\SkillList.txt

-- Character Classes
CLASS_WIZARD                                          = 0
CLASS_KNIGHT                                          = 1
CLASS_ELF                                             = 2
CLASS_GLADIATOR                                       = 3
CLASS_DARKLORD                                        = 4
CLASS_SUMMONER                                        = 5
CLASS_RAGEFIGHTER                                     = 6
CLASS_GROWLANCER                                      = 7





-- SkillID: 459, Weakness Strengthener - MvP - (Dimension Master)
function SummonerWeakness_Monster(Energy, Curse, MonsterLevel)
	local SkillSuccessRate = Energy / 50 + Curse / 6 + 32
	local SkillEffect = Energy / 58 + 4
	local SkillTime = Energy / 100 + 4 - MonsterLevel / 20
	
	return SkillSuccessRate, SkillEffect, SkillTime
end

-- SkillID: 459, Weakness Strengthener - PvP - (Dimension Master)
function SummonerWeakness_PvP(Energy, Curse, PlayerLevel, TargetLevel)
	local SkillSuccessRate =  Energy / 50 + Curse / 6 + 17
	local SkillEffect = Energy / 93 + 3
	local SkillTime = Energy / 300 + (PlayerLevel - TargetLevel) / 150 + 5
	
	return SkillSuccessRate, SkillEffect, SkillTime
end

-- SkillID: 460, Innovation Strengthener - MvP - (Dimension Master)
function SummonerInnovation_Monster(Energy, Curse, MonsterLevel)
	local SkillSuccessRate = Energy / 50 + Curse / 6 + 32
	local SkillEffect = Energy / 90 + 20
	local SkillTime = Energy / 100 + 4 - MonsterLevel / 20
	
	return SkillSuccessRate, SkillEffect, SkillTime
end

-- SkillID: 460, Innovation Strengthener - PvP - (Dimension Master)
function SummonerInnovation_PvP(Energy, Curse, PlayerLevel, TargetLevel)
	local SkillSuccessRate =  Energy / 50 + Curse / 6 + 17
	local SkillEffect = Energy / 110 + 12
	local SkillTime = Energy / 300 + (PlayerLevel - TargetLevel) / 150 + 5
	
	return SkillSuccessRate, SkillEffect, SkillTime
end

-- SkillID: 469, Berserker Strengthener - (Dimension Master)
function SummonerBerserker_Level1(Energy)
	local SkillEffectUP = Energy / 850
	local SkillEffectDOWN = Energy / 950
	local SkillTime = Energy / 20 + 30
	
	return SkillEffectUP, SkillEffectDOWN, SkillTime
end

-- SkillID: 470, Berserker Proficiency - (Dimension Master)
function SummonerBerserker_Level2(Energy)
	local SkillEffectUP = Energy / 850
	local SkillEffectDOWN = Energy / 950
	local SkillTime = Energy / 20 + 30
	
	return SkillEffectUP, SkillEffectDOWN, SkillTime
end

-- SkillID: 472, Berserker Mastery - (Dimension Master)
function SummonerBerserker_Level3(Energy)
	local SkillEffectUP = Energy / 850
	local SkillEffectDOWN = Energy / 950
	local SkillTime = Energy / 20 + 30
	
	return SkillEffectUP, SkillEffectDOWN, SkillTime
end

-- SkillID: 565, Blood Howling - (Fist Master)
function BloodHowl_Level1(TargetHP)
 local SkillEffect = TargetHP * 5 / 100
 local SkillSuccessRate = 10
 local SkillTime = 10

 return SkillEffect, SkillSuccessRate, SkillTime
end

-- SkillID: 567, Blood Howling Strengthener - (Fist Master)
function BloodHowl_Level2(TargetHP)
 local SkillEffect = TargetHP * 5 / 100
 local SkillSuccessRate = 10
 local SkillTime = 10

 return SkillEffect, SkillSuccessRate, SkillTime
end

-- SkillID: 693, Obsidian PowUp - (Mirage Lancer)
function GrowLancerObsidian_Level1(Strength, Dexterity, Energy)
	local SkillEffect = Strength / 20
	local SkillTime = Energy / 10 + 60

	return SkillEffect, SkillTime
end